diff -Nur ucblogo-6.0/docs/makefile ucblogo-6.0.new/docs/makefile
--- ucblogo-6.0/docs/makefile	2008-08-19 21:56:59.000000000 +0200
+++ ucblogo-6.0.new/docs/makefile	2014-12-19 01:16:37.021678595 +0100
@@ -1,6 +1,6 @@
 BUILDIR	      = `pwd`
 INFODIR	      = $(prefix)/info
-DOCSDIR	      = $(LIBLOC)/docs
+DOCSDIR	      = $(prefix)/doc/ucblogo-6.0
 HTMLDIR	      = $(DOCSDIR)/html
 
 all: usermanual.ps usermanual.pdf html/usermanual_1.html ucblogo.info
@@ -30,9 +30,11 @@
 ship:
 	-rm -f *.{aux,cp,cps,dvi,fn,ky,log,pg,toc,tp,vr}
 
-install: all
+#install: all
+install:
 	for d in $(INFODIR) $(DOCSDIR) $(HTMLDIR); do [ -d $$d ] || mkdir -p $$d || exit 1; done
-	-cp -f *.info* $(INFODIR)/.
+	-gzip *.info*
+	-cp -f *.info.gz* $(INFODIR)/.
 	-cp -f html/*.html $(HTMLDIR)/.
 	-cp -f usermanual.ps $(DOCSDIR)/.
 	-cp -f usermanual.pdf $(DOCSDIR)/.
diff -Nur ucblogo-6.0/makefile.in ucblogo-6.0.new/makefile.in
--- ucblogo-6.0/makefile.in	2008-09-14 01:27:17.000000000 +0200
+++ ucblogo-6.0.new/makefile.in	2014-12-19 00:46:50.621593132 +0100
@@ -24,7 +24,7 @@
 logo:	$(OBJS)
 	$(LINKER) $(CFLAGS) $(LDFLAGS) $(OBJS) $(LIBS) -o logo
 
-everything:	logo logolib/Messages helpfiles helpfiles/HELPCONTENTS
+all:	logo logolib/Messages helpfiles helpfiles/HELPCONTENTS
 #logo-mode
 
 mem.o:	mem.c
@@ -71,13 +71,14 @@
 	cd docs; $(MAKE) ship
 
 install: all
-	for d in $(BINDIR) $(LIBLOC) $(LIBLOC)/logolib $(LIBLOC)/helpfiles $(LIBLOC)/csls; do [ -d $$d ] || mkdir -p $$d || exit 1; done
-	cp logo $(BINDIR)/.
-	cp -f logolib/* $(LIBLOC)/logolib/.
-	cp -f helpfiles/* $(LIBLOC)/helpfiles/.
-	cp -f csls/* $(LIBLOC)/csls/.
+#	for d in $(BINDIR) $(LIBLOC) $(LIBLOC)/logolib $(LIBLOC)/helpfiles $(LIBLOC)/csls; do [ -d $$d ] || mkdir -p $(DESTDIR)/$$d || exit 1; done
+	for d in $(BINDIR) $(LIBLOC) $(LIBLOC)/logolib $(LIBLOC)/helpfiles $(LIBLOC)/csls; do mkdir -p $(DESTDIR)/$$d || exit 1; done
+	cp logo $(DESTDIR)$(BINDIR)/.
+	cp -f logolib/* $(DESTDIR)$(LIBLOC)/logolib/.
+	cp -f helpfiles/* $(DESTDIR)$(LIBLOC)/helpfiles/.
+	cp -rf csls/* $(DESTDIR)$(LIBLOC)/csls/.
 #	(cd emacs; prefix=$(prefix) LIBLOC=$(LIBLOC) BINDIR=$(BINDIR) $(MAKE) install)
-	(cd docs; prefix=$(prefix) LIBLOC=$(LIBLOC) BINDIR=$(BINDIR) $(MAKE) install)
+	(cd docs; prefix=$(DESTDIR)$(prefix) LIBLOC=$(DESTDIR)$(LIBLOC) BINDIR=$(DESTDIR)$(BINDIR) $(MAKE) install)
 #	prefix=$(prefix); LIBLOC=$(LIBLOC); BINDIR=$(BINDIR); export prefix LIBLOC BINDIR; cd emacs; $(MAKE) install
 
 logo-mode: 
@@ -85,7 +86,7 @@
 #	@prefix=$(prefix); LIBLOC=$(LIBLOC); BINDIR=$(BINDIR); export prefix LIBLOC BINDIR; cd emacs; $(MAKE)
 
 make-docs:
-	(cd docs; prefix=$(prefix) LIBLOC=$(LIBLOC) $(MAKE) all)
+	(cd docs; prefix=$(DESTDIR)$(prefix) LIBLOC=$(DESTDIR)$(LIBLOC) $(MAKE) all)
 
 mac: all
 	mkdir -p UCBLogo.app
